 /* $Header:BOGUSprintf.c 12.0$ */
 /* $ACIS:BOGUSprintf.c 12.0$ */
 /* $Source: /ibm/acis/usr/src/bin/csh/RCS/BOGUSprintf.c,v $ */
#ifndef lint
static char *rcsid = "$Header:BOGUSprintf.c 12.0$";
#endif
/*
 * AWFUL HACK BY MJB TO BYPASS ASSEMBLY LANGUAGE DOPRNT
 */

printf(fmt, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
char *fmt;
{
	static char pbuf[4096];	/* Who knows what this thing will attempt...*/
	register char *cp;

	sprintf(pbuf, fmt, a1, a2, a3, a4, a5, a6 , a7, a8, a9, a10);
	for (cp = &pbuf[0]; *cp; ++cp)
		putchar(*cp);
	return(0);
}
